---
# Cop supports --auto-correct.
Performance/BlockGivenWithExplicitBlock:
  # Offense count: 53
  # Temporarily disabled due to too many offenses
  Enabled: false
  Exclude:
    - 'app/controllers/concerns/redis_tracking.rb'
    - 'app/helpers/badges_helper.rb'
    - 'app/helpers/instance_configuration_helper.rb'
    - 'app/helpers/labels_helper.rb'
    - 'app/helpers/tab_helper.rb'
    - 'app/services/base_count_service.rb'
    - 'app/services/error_tracking/base_service.rb'
    - 'app/services/users/update_service.rb'
    - 'ee/lib/elastic/latest/query_context.rb'
    - 'ee/lib/gitlab/geo.rb'
    - 'lib/bulk_imports/clients/http.rb'
    - 'lib/gitlab/batch_pop_queueing.rb'
    - 'lib/gitlab/cache/request_cache.rb'
    - 'lib/gitlab/ci/trace/chunked_io.rb'
    - 'lib/gitlab/database/bulk_update.rb'
    - 'lib/gitlab/database/with_lock_retries.rb'
    - 'lib/gitlab/github_import/client.rb'
    - 'lib/gitlab/legacy_github_import/client.rb'
    - 'lib/gitlab/metrics/methods/metric_options.rb'
    - 'lib/gitlab/null_request_store.rb'
    - 'lib/gitlab/quick_actions/dsl.rb'
    - 'lib/gitlab/safe_request_loader.rb'
    - 'lib/gitlab/search/query.rb'
    - 'lib/gitlab/string_placeholder_replacer.rb'
    - 'lib/gitlab/terraform/state_migration_helper.rb'
    - 'lib/gitlab/usage/metrics/instrumentations/database_metric.rb'
    - 'lib/gitlab/usage_data_queries.rb'
    - 'lib/gitlab/utils/usage_data.rb'
    - 'qa/qa/page/view.rb'
    - 'spec/lib/api/helpers/authentication_spec.rb'
    - 'spec/lib/gitlab/slash_commands/deploy_spec.rb'
    - 'spec/support/helpers/graphql_helpers.rb'
    - 'spec/support/helpers/query_recorder.rb'
    - 'tooling/lib/tooling/helm3_client.rb'
    - 'tooling/lib/tooling/test_map_packer.rb'
